package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.menu.MenuNode;
import com.ycwl.basic.model.pc.role.req.AddOrUpdateRoleReqVO;
import com.ycwl.basic.model.pc.role.req.RoleListReqVO;
import com.ycwl.basic.model.pc.role.resp.RoleListRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RoleMapper {
    List<RoleListRespVO> list(RoleListReqVO roleListReqVO);
    int delete(String id);
    int add(AddOrUpdateRoleReqVO addOrUpdateRoleReqVO);
    int update(AddOrUpdateRoleReqVO addOrUpdateRoleReqVO);

    /**
     * 查询角色的菜单权限
     * @param id
     * @return
     */
    List<MenuNode> getMenuById(@Param("id")String id);

    int updateStatus(@Param("id")String id);

    int getRoleStatus(@Param("id")String id);
}
